aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Ozgun Ataman <ozgun.ataman@soostone.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.DeleteItem

Description

    http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_DeleteItem.html

Synopsis

- data DeleteItem = DeleteItem {
  - diTable :: Text
  - diKey :: PrimaryKey
  - diExpect :: Conditions
  - diReturn :: UpdateReturn
  - diRetCons :: ReturnConsumption
  - diRetMet :: ReturnItemCollectionMetrics
  }
- deleteItem :: Text -> PrimaryKey -> DeleteItem
- data DeleteItemResponse = DeleteItemResponse {
  - dirAttrs :: Maybe Item
  - dirConsumed :: Maybe ConsumedCapacity
  - dirColMet :: Maybe ItemCollectionMetrics
  }

# Documentation

data DeleteItem #

Constructors

DeleteItem |

Fields

- diTable :: Text

  Target table

- diKey :: PrimaryKey

  The item to delete.

- diExpect :: Conditions

  (Possible) set of expections for a conditional Put

- diReturn :: UpdateReturn

  What to return from this query.

- diRetCons :: ReturnConsumption
- diRetMet :: ReturnItemCollectionMetrics

#### Instances

Instances details

ToJSON DeleteItem # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods toJSON :: DeleteItem -> Value # toEncoding :: DeleteItem -> Encoding # toJSONList :: [DeleteItem] -> Value # toEncodingList :: [DeleteItem] -> Encoding # omitField :: DeleteItem -> Bool #
SignQuery DeleteItem # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type ServiceConfiguration DeleteItem |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ServiceConfiguration DeleteItem = DdbConfiguration

Methods

signQuery :: DeleteItem -> ServiceConfiguration DeleteItem queryType -> SignatureData -> SignedQuery #

Read DeleteItem # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods readsPrec :: Int -> ReadS DeleteItem # readList :: ReadS [DeleteItem] # readPrec :: ReadPrec DeleteItem # readListPrec :: ReadPrec [DeleteItem] #
Show DeleteItem # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods showsPrec :: Int -> DeleteItem -> ShowS # show :: DeleteItem -> String # showList :: [DeleteItem] -> ShowS #
Eq DeleteItem # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods (==) :: DeleteItem -> DeleteItem -> Bool # (/=) :: DeleteItem -> DeleteItem -> Bool #
Ord DeleteItem # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods compare :: DeleteItem -> DeleteItem -> Ordering # (<) :: DeleteItem -> DeleteItem -> Bool # (<=) :: DeleteItem -> DeleteItem -> Bool # (>) :: DeleteItem -> DeleteItem -> Bool # (>=) :: DeleteItem -> DeleteItem -> Bool # max :: DeleteItem -> DeleteItem -> DeleteItem # min :: DeleteItem -> DeleteItem -> DeleteItem #
Transaction DeleteItem DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem
type ServiceConfiguration DeleteItem # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ServiceConfiguration DeleteItem = DdbConfiguration

deleteItem #

Arguments

:: Text | A Dynamo table name
-> PrimaryKey | Item to be saved
-> DeleteItem |

Construct a minimal `DeleteItem` request.

data DeleteItemResponse #

Constructors

DeleteItemResponse |

Fields

- dirAttrs :: Maybe Item

  Old attributes, if requested

- dirConsumed :: Maybe ConsumedCapacity

  Amount of capacity consumed

- dirColMet :: Maybe ItemCollectionMetrics

  Collection metrics if they have been requested.

#### Instances

Instances details

FromJSON DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods parseJSON :: Value -> Parser DeleteItemResponse # parseJSONList :: Value -> Parser [DeleteItemResponse] # omittedField :: Maybe DeleteItemResponse #
AsMemoryResponse DeleteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type MemoryResponse DeleteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type MemoryResponse DeleteItemResponse = DeleteItemResponse

Methods

loadToMemory :: DeleteItemResponse -> ResourceT IO (MemoryResponse DeleteItemResponse) #

Read DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods readsPrec :: Int -> ReadS DeleteItemResponse # readList :: ReadS [DeleteItemResponse] # readPrec :: ReadPrec DeleteItemResponse # readListPrec :: ReadPrec [DeleteItemResponse] #
Show DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods showsPrec :: Int -> DeleteItemResponse -> ShowS # show :: DeleteItemResponse -> String # showList :: [DeleteItemResponse] -> ShowS #
Eq DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods (==) :: DeleteItemResponse -> DeleteItemResponse -> Bool # (/=) :: DeleteItemResponse -> DeleteItemResponse -> Bool #
Ord DeleteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Methods

compare :: DeleteItemResponse -> DeleteItemResponse -> Ordering #

(<) :: DeleteItemResponse -> DeleteItemResponse -> Bool #

(<=) :: DeleteItemResponse -> DeleteItemResponse -> Bool #

(>) :: DeleteItemResponse -> DeleteItemResponse -> Bool #

(>=) :: DeleteItemResponse -> DeleteItemResponse -> Bool #

max :: DeleteItemResponse -> DeleteItemResponse -> DeleteItemResponse #

min :: DeleteItemResponse -> DeleteItemResponse -> DeleteItemResponse #

ResponseConsumer r DeleteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type ResponseMetadata DeleteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ResponseMetadata DeleteItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteItemResponse) -> HTTPResponseConsumer DeleteItemResponse #

Transaction DeleteItem DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem
type MemoryResponse DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type MemoryResponse DeleteItemResponse = DeleteItemResponse
type ResponseMetadata DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ResponseMetadata DeleteItemResponse = DdbResponse